On Mon, Jun 27, 2005 at 10:18:20PM +0100, sam ende wrote:
> On Monday 27 June 2005 21:32, Carol Spears wrote:
> hi,
> > try gimptool.  you might need to get libgimp-dev to have the gimptool.
> > type "gimptool --help" in a console to get the syntax of the gimptool
> > command you need to install plug-ins.
> thank you, that was useful,
> >
> > is the file you downloaded one that ends in a .c?
> yes, it returns this error:
> [EMAIL PROTECTED]:~/downloads$ gimptool --install kaleidoscop.e.c
> /usr/bin/install -c -d /home/sam/.gimp-2.2/plug-ins
> i386-linux-gcc -Wall -g -O2 -I/usr/include/gimp-2.0 -DXTHREADS 
> -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include 
> -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 
> -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
> -o /home/sam/.gimp-2.2/plug-ins/kaleidoscop.e kaleidoscop.e.c -L/usr/lib 
> -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 
> -lgimpbase-2.0-Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 
> -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 
> -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
> kaleidoscop.e.c:159: warning: initialization from incompatible pointer 
> type
> kaleidoscop.e.c: In function `query':
> kaleidoscop.e.c:203: error: `PARAM_INT32' undeclared (first use in this 
> function)
> and then a list of other errors. any idea what the problem could be ? 
my guess is that the plug-in is in need of updating.  even more detailed
guessing is that the plug-in is written for an older version of glib.

it might be an interesting task for a beginer c-coder to update this

sorry about all the guessing in this email, it is not my usual approach
to answering the gimp-user mail.


Gimp-user mailing list

Reply via email to